Support of ATI 4xxx HD series

Discussion in 'Linux Hardware' started by LArchimonde, Jan 24, 2014.

  1. LArchimonde

    LArchimonde New Member

    Messages:
    23
    Likes Received:
    3
    Trophy Points:
    3
    Hi people. I have a question about my graphic card support on Linux. I have installed Linux (Ubuntu, Arch, Kali, Mint) on my machine many times, but I always had to struggle with my drivers for ATI Radeon 4850 HD. I am currently on Win7 but want to devote to Linux full time, but I am worried because of my graphic card. So basically I need a straight answer for this. I know it's because newest xorg server doesn't support older graphics. Does anyone know any fix for this, without downgrading the xorg?

    Tnx and sorry if I was little confusive.

  2. Richard Rodriguez

    Richard Rodriguez Member

    Messages:
    72
    Likes Received:
    13
    Trophy Points:
    8
    I wonder the same, I have that same card mine is an X2, is yours? (x2=2 gig of memory)

    either way don't install those drivers they screw things up bad, had to re-install...the default drivers seem to work well enough, but of course I would like more
    LArchimonde likes this.
  3. LArchimonde

    LArchimonde New Member

    Messages:
    23
    Likes Received:
    3
    Trophy Points:
    3
    Tnx, I have the same opinion, but it's not really as it should be especially the resolution, without drivers I can't have 1680x1050 (I have 22w monitor) best I can is 1600x1200, which is frankly ugly. And it's choppier. As for graphics yes we have the same :D. Anyway thank you for a quick answer.
  4. Richard Rodriguez

    Richard Rodriguez Member

    Messages:
    72
    Likes Received:
    13
    Trophy Points:
    8
    wow I run 1920 x 1080, no problem, it is just in steam I gotta run very low settings and in Windows (in Steam) I don't have to

    I figured I was needing better drivers, but I guess I am ok, just need better equipment..

    BTW I run a 40" LCD TV for my monitor

Share This Page